mod proxy;
mod upload;
mod serve_file;

pub use proxy::proxy_handler;
pub use upload::upload_handler;

// Лимит квоты на пользователя: 2 ГБ в неделю
pub const MAX_WEEK_BYTES: u64 = 2 * 1024 * 1024 * 1024;

use actix_web::{HttpResponse, Result, HttpRequest};

/// Обработчик для корневого пути /
pub async fn root_handler(req: HttpRequest) -> Result<HttpResponse> {
    match req.method().as_str() {
        "GET" => Ok(HttpResponse::Ok()
            .content_type("text/plain")
            .body("ok")),
        _ => Ok(HttpResponse::MethodNotAllowed().finish())
    }
}
